## fonts-mikhak 3.4%2Bds

=== debian/watch ===
Version: 5

Template: Github
Owner: aminabedi68
Project: mikhak
Repacksuffix: +ds
Dversion-Mangle: auto

## fonts-mikhak 3.4+ds

=== requirements.txt ===
fontmake>=2.4
fontbakery>=0.8

=== debian/changelog ===
fonts-mikhak (3.4+ds-1) unstable; urgency=medium

  * initial packaging. (Closes: #1109544)

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Thu, 24 Jul 2025 12:40:40 +0330

=== debian/control ===
Source: fonts-mikhak
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 fontmake,
 fontforge,
 fonttools,
 python-is-python3,
Standards-Version: 4.7.2
Homepage: https://github.com/aminabedi68/Mikhak
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-mikhak
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-mikhak.git

Package: fonts-mikhak
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Mikhak font family
 Simple monoline Arabic-Latin semi handwriting typeface.

Package: fonts-mikhak-variable
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Mikhak font family (VF)
 Simple monoline Arabic-Latin semi handwriting typeface.
 .
 This is the VF variant of the font.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	cp sources/M*.sfd scripts/
	cd scripts && sed "s,^CMD /c delete_junk_files.bat,python3 delete_junk_files.py," build_variable_font.bat \
		    | sed "s,^CMD /c ,," | sed 's,\\,/,g' | sed "s/fsselection.py/fsSelection.py/g" \
		    | sed "/^echo check/d" | sed "/^REM/d" | sed "/^echo\./d" | sed "/^pause/d" | sh -ex
	cd scripts && sed "s,^CMD /c delete_junk_files.bat,python3 delete_junk_files.py," build_instances.bat \
		    | sed "s,^CMD /c ,," | sed 's,\\,/,g' | sed "s/fsselection.py/fsSelection.py/g" \
		    | sed "/^echo check/d" | sed "/^REM/d" | sed "/^echo\./d" | sed "/^pause/d" | sh -ex
	cd scripts && fontforge -script FD-Generator.py Statics
